Subject: bug#15946: 24.3; Mac OS X, Mavericks, distnoted process

From: Jan Djärv <[email-masked]>
Date: Wed, 15 Jan 2014 07:26:32 +0100

Hi.

14 jan 2014 kl. 23:17 skrev Jonathan Payne <[email-masked]>:

> Hi Jan,
> 
> [Removed the list from this email]

Don't do that unless you are attaching something big.

> 
> Are there already-compiled versions out there? Or do I have to download the toolchain to build it myself? I am not sure I want to go there... even though I think I already have the necessary toolchain installed ...

http://emacsforosx.com/builds has nightlies.  Use the newest of those.

	Jan D.

> 
> Regarding the leaks in my previous message, each line output says "Leak: ...". So I think by definition it's a leak: there are no pointers or "maybe pointers" pointing to the block in question. If the blocks are all pointing to each other, then the leak could be that the first block is not being pointed to, but regardless they are all unreachable by anything looking like a pointer in all of the stacks and heap and static memory of the process.
> 

I forgot, you should start your Emacs like this:

% MallocStackLogging=1 .../pah/to/Emacs.app/Contents/MacOS/Emacs

and then run leaks.  It will then print a stack trace also.  This may slow Emacs down a bit.

	Jan D.